Subject: [Healeys] Master Cylinders

From: Bob Brown <[email-masked]>
Date: Thu, 21 Mar 2013 11:34:15 -0700 (PDT)

I have a Bugeye with several mods, among them the brakes, dual master cylinders. 
The car has not been used for several years and the brakes are not functioning 
properly. I'd lie to replace the master cylinders as I 'm unable to get them 
disassembled.and the are completely "gunked" up. 

The only markings on them are Girling 70 and Girling 75 obviously 2 different 
sized cylinders. Does anyone have a clue as to what these may be from and what 
should I order to get the same master cylinders as replacements.
TIA 
Bob
59 Nasty Frog
62 BT7
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys